import { Module, forwardRef } from '@nestjs/common';
import { StripeController } from './stripe.controller';
import { StripeService } from './stripe.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PaymentIntent } from './payment-intent.entity';
import { PaymentIntentsService } from './payment-intents.service';
import { CartModule } from '../cart/cart.module';
import { MyBooksModule } from 'src/feature/my-books/books.module';

@Module({
  imports: [
    forwardRef(() => MyBooksModule),
    forwardRef(() => CartModule),
    TypeOrmModule.forFeature([PaymentIntent]),
  ],
  controllers: [StripeController],
  providers: [PaymentIntentsService, StripeService],
  exports: [StripeService],
})
export class StripeModule {}
