import { Entity, Column, PrimaryGeneratedColumn } from 'typeorm';

@Entity()
export class Book {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  title: string;

  @Column()
  language: string;

  @Column()
  publisher: string;

  @Column()
  isbn: string;

  @Column()
  subtitle: string;

  @Column()
  author: string;

  @Column()
  publishDate: Date;

  @Column()
  description: string;

  @Column()
  folderPath: string;

  @Column()
  frontImageUrl: string;

  @Column()
  backImageUrl: string;

  @Column()
  sideImageUrl: string;

  @Column()
  printUrl: string;

  @Column()
  pdfUrl: string;

  @Column()
  epubUrl: string;

  @Column()
  zipUrl: string;

  @Column('decimal', { precision: 6, scale: 2 })
  price: number;

  @Column()
  series: string;

  @Column()
  topic: number;

  @Column()
  tags: string;

  @Column()
  published: boolean;

  @Column()
  keyPoints: string;

  @Column()
  order: number;

  @Column()
  darkCover: boolean;

  @Column()
  numberOfPages: number;
}
