import { Module, forwardRef } from '@nestjs/common';
import { Book } from './book.entity';
import { BooksController } from './books.controller';
import { BooksService } from './books.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StripeModule } from 'src/core/stripe/stripe.module';
import { UsersModule } from 'src/core/users/users.module';
import { JwtModule } from '@nestjs/jwt';
import { MyBooksModule } from '../my-books/books.module';

@Module({
  imports: [
    JwtModule,
    forwardRef(() => UsersModule),
    forwardRef(() => MyBooksModule),
    forwardRef(() => StripeModule),
    TypeOrmModule.forFeature([Book]),
  ],
  controllers: [BooksController],
  providers: [BooksService],
  exports: [BooksService],
})
export class BooksModule {}
