import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { FeaturedBook } from './featured-book.entity';
import { FeaturedBookService } from './featured-book.service';
import { FeaturedBookController } from './featured-book.controller';
import { BooksModule } from '../books/books.module';

@Module({
  imports: [BooksModule, TypeOrmModule.forFeature([FeaturedBook])],
  controllers: [FeaturedBookController],
  providers: [FeaturedBookService],
  exports: [FeaturedBookService],
})
export class FeaturedBookModule {}
