import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { FeaturedBook } from './featured-book.entity';
import { BooksService } from '../books/books.service';

@Injectable()
export class FeaturedBookService {
  constructor(
    @InjectRepository(FeaturedBook)
    private repo: Repository<FeaturedBook>,
    private booksService: BooksService,
  ) {}

  async setFeaturedBook(bookId: number) {
    const results = await this.repo.find();
    if (results && results.length > 0) {
      const obj = results[0];
      obj.bookId = bookId;
      return this.repo.save(obj);
    } else {
      const obj = this.repo.create();
      obj.bookId = bookId;
      return this.repo.save(obj);
    }
  }

  async getFeatureBook() {
    const results = await this.repo.find();
    if (results && results.length > 0) {
      const obj = results[0];
      return this.booksService.getBook(obj.bookId);
    }
    throw new NotFoundException('Can not find a featured book');
  }
}
