import {
  Body,
  Controller,
  Delete,
  Get,
  Headers,
  InternalServerErrorException,
  NotFoundException,
  Param,
  Post,
  Put,
  Query,
  UseGuards,
} from '@nestjs/common';
import { CurrentUser } from 'src/core/users/decorators/current-user.decorator';
import { User } from 'src/core/users/user.entity';
import { config } from 'dotenv';
import { JwtGuard } from 'src/core/auth/guards/jwt-auth.guard';
import { MyBooksService } from './books.service';

config();

@Controller('my-books')
export class MyBooksController {
  constructor(private myBooksService: MyBooksService) {}

  @Get()
  @UseGuards(JwtGuard)
  getMyBooks(
    @CurrentUser() user: User,
    @Query('take') take: number,
    @Query('skip') skip: number,
  ) {
    return this.myBooksService.getMyBooks(user.id, take, skip);
  }
}
