import { Module, forwardRef } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersModule } from 'src/core/users/users.module';
import { AuthModule } from 'src/core/auth/auth.module';
import { MyBooksService } from './books.service';
import { MyBooksController } from './books.controller';
import { MyBook } from './my-book.entity';
import { BooksModule } from '../books/books.module';

@Module({
  imports: [
    forwardRef(() => UsersModule),
    forwardRef(() => AuthModule),
    forwardRef(() => BooksModule),
    TypeOrmModule.forFeature([MyBook]),
  ],
  controllers: [MyBooksController],
  providers: [MyBooksService],
  exports: [MyBooksService],
})
export class MyBooksModule {}
