import { Component, Input } from '@angular/core';
import { TruncatePipe } from '../../pipes/truncate.pipe';
import { CardModule } from 'primeng/card';
import { ButtonModule } from 'primeng/button';
import { RouterLink } from '@angular/router';
import { OverlayPanelModule } from 'primeng/overlaypanel';
import { CommonModule } from '@angular/common';
import { Book } from '../../data/book';
import { SmallFlipCoverComponent } from '../small-flip-cover/small-flip-cover.component';
import { BOOK_PROKEN_IMAGE_PLACEHOLDER } from '../../data/constants';

@Component({
  selector: 'app-book-card',
  standalone: true,
  imports: [
    TruncatePipe,
    CardModule,
    RouterLink,
    ButtonModule,
    OverlayPanelModule,
    CommonModule,
    SmallFlipCoverComponent,
  ],
  templateUrl: './book-card.component.html',
  styleUrl: './book-card.component.css',
})
export class BookCardComponent {
  @Input() book!: Book;
  @Input() showLinks = false;
  @Input() showTitle = false;
  @Input() showTags = false;

  constructor() {}

  onImageError(e: any) {
    e.target.src = BOOK_PROKEN_IMAGE_PLACEHOLDER;
  }

  onIgnoreClick(e: any) {
    e.prenventDefault();
  }
}
