import { Component, Input } from '@angular/core';
import { Book } from '../../data/book';
import { DownloadService } from '../../services/download.service';
import { OverlayPanelModule } from 'primeng/overlaypanel';
import { ButtonModule } from 'primeng/button';

@Component({
  selector: 'app-download-source-code',
  standalone: true,
  imports: [OverlayPanelModule, ButtonModule],
  templateUrl: './download-source-code.component.html',
  styleUrl: './download-source-code.component.css',
})
export class DownloadSourceCodeComponent {
  @Input() book!: Book;
  downlading = false;

  constructor(private downloadService: DownloadService) {}

  onDownload() {
    this.downlading = true;
    this.downloadService
      .downloadFile(this.book.zipUrl, this.book.title + '.zip', 'zip')
      .subscribe({
        next: (r: any) => {
          this.downlading = false;
        },
        error: (e: any) => {
          this.downlading = false;
        },
      });
  }
}
