import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { ImageModule } from 'primeng/image';
import { InputTextModule } from 'primeng/inputtext';
import { StarComponent } from '../star/star.component';
import { ButtonModule } from 'primeng/button';
import { DialogModule } from 'primeng/dialog';
import { CharacterCountComponent } from '../character-count/character-count.component';
import { CommonModule } from '@angular/common';
import { BOOK_PROKEN_IMAGE_PLACEHOLDER } from '../../data/constants';

@Component({
  selector: 'app-image-url',
  standalone: true,
  imports: [
    InputTextModule,
    ImageModule,
    FormsModule,
    StarComponent,
    ButtonModule,
    DialogModule,
    CharacterCountComponent,
    CommonModule,
  ],
  templateUrl: './image-url.component.html',
  styleUrl: './image-url.component.css',
})
export class ImageUrlComponent {
  @Input() imageUrl: string = '';
  @Input() required = false;
  @Output() image = new EventEmitter<string>();
  @Input() disabled = false;
  visible = false;

  onChange() {
    this.image.next(this.imageUrl);
  }

  showDialog() {
    this.visible = true;
  }

  onImageError(e: any) {
    e.target.src = BOOK_PROKEN_IMAGE_PLACEHOLDER;
  }
}
