import { CommonModule } from '@angular/common';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { DividerModule } from 'primeng/divider';
@Component({
  selector: 'app-sidenav',
  standalone: true,
  imports: [CommonModule, DividerModule],
  templateUrl: './sidenav.component.html',
  styleUrl: './sidenav.component.css',
})
export class SidenavComponent {
  @Input() fullname = '';
  @Input() isLoggedIn = false;
  @Input() isAdmin = false;
  @Input() opened = false;
  @Output() itemClicked = new EventEmitter<string>();
  @Output() logout = new EventEmitter<void>();
  @Output() login = new EventEmitter<void>();
  constructor() {}

  onItemClicked(path: string) {
    this.itemClicked.next(path);
  }
  onLogout() {
    this.logout.next();
  }
  onLogin() {
    this.login.next();
  }
}
