import { Component, OnInit } from '@angular/core';
import { MyBooksService } from '../../services/my-books.service';
import { Book } from '../../data/book';
import { BookCardComponent } from '../../components/book-card/book-card.component';
import { PaginatorModule } from 'primeng/paginator';
import { BOOKS_PAGINATION_TAKE } from '../../data/constants';

@Component({
  selector: 'app-my-books',
  standalone: true,
  imports: [BookCardComponent, PaginatorModule],
  templateUrl: './my-books.component.html',
  styleUrl: './my-books.component.css',
})
export class MyBooksComponent implements OnInit {
  books: Book[] = [];
  page: number = 0;
  take: number = BOOKS_PAGINATION_TAKE;
  skip: number = 0;
  total: number = BOOKS_PAGINATION_TAKE;

  constructor(private myBooksService: MyBooksService) {}

  ngOnInit(): void {
    this.loadMyBooks();
  }

  onPageChange(obj: any) {
    this.page = obj.page;
    this.skip = obj.page * obj.rows;
    this.take = obj.rows;
    this.loadMyBooks();
  }

  loadMyBooks() {
    this.myBooksService
      .getMyBooks(this.take, this.skip)
      .subscribe((books: any) => {
        this.books = books['0'];
        this.total = books['1'];
      });
  }
}
