import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { first, tap } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class DownloadService {
  constructor(private http: HttpClient) {}

  downloadFile(url: string, filename: string, fileType: string) {
    return this.http
      .get(url, {
        responseType: 'arraybuffer',
      })
      .pipe(
        first(),
        tap((data: any) => {
          let type = 'application/pdf';
          if (fileType === 'epub') {
            type = 'application/epub';
          } else if (fileType === 'zip') {
            type = 'application/zip';
          }
          var binaryData = [];
          binaryData.push(data);
          const url = window.URL.createObjectURL(
            new Blob(binaryData, { type })
          );
          const link = document.createElement('a');
          if (link.download !== undefined) {
            link.setAttribute('href', url);
            link.setAttribute('download', filename);
            link.style.visibility = 'hidden';
            document.body.appendChild(link);
            link.click();
            document.body.removeChild(link);
          }
        })
      );
  }
}
