import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root',
})
export class FeaturedBookService {
  constructor(private http: HttpClient) {}

  getFeaturedBook() {
    return this.http.get(environment.API_URL + '/featured-book', {
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        sub: 'books',
      },
    });
  }

  setFeaturedBook(bookId: number) {
    return this.http.put(
      environment.API_URL + '/featured-book/' + bookId,
      {},
      {
        headers: {
          'Content-Type': 'application/json',
        },
        params: {
          sub: 'books',
        },
      }
    );
  }
}
